//
//  SignManager.h
//  stylepop
//
//  Created by 경영 임 on 13. 1. 23..
//  Copyright (c) 2013년 Pinatalabs. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface SignManager : NSObject

@property (retain) NSString *auth_token;
@property (retain) NSString *device_token;
@property (retain) NSDictionary *pUserOwnInfo;
@property (assign) NSInteger userOwnID;
@property (assign) BOOL isSetPassword;
@property (assign) BOOL needSendDeviceToken;
@property (assign) BOOL isFBLogin;

+(id)sharedInstance;

+(id) loadFromUserDefaults:(id)key;
+(BOOL) saveToUserDefaults:(id)object forKey:(id)key;
-(void) loadLoginInfo;
-(void) saveLoginInfo;


-(void) actionAfterLogin: (NSDictionary *)response;
-(void) actionAfterFBLogin: (NSDictionary *)response;
-(void) actionAfterSignOut;

+(void) send_SignUp:(NSDictionary *)dic endBlockwithResult:(void (^)(BOOL isSuccess)) endBlockwithResult;
+(void) send_SignIn:(NSDictionary *)dic endBlock:(void (^)(BOOL isSuccess)) endBlock;
+(void) send_MFB_SIGNIN:(void (^)(BOOL isSuccess)) endBlock;
+(void) send_SignOut:(void (^)(BOOL isSuccess)) endBlockwithResult;

+(void) SignInSuccess;
@end
